### Class

# Gtk MountOperation

#### Description [src]

    class Gtk.MountOperation : Gio.MountOperation {
      parent_instance: GMountOperation,
      priv: GtkMountOperationPrivate*
    }

`GtkMountOperation` is an implementation of `GMountOperation`.

The functions and objects described here make working with GTK and GIO more convenient.

`GtkMountOperation` is needed when mounting volumes: It is an implementation of `GMountOperation` that can be used with GIO functions for mounting volumes such as g_file_mount_enclosing_volume(), g_file_mount_mountable(), g_volume_mount(), g_mount_unmount_with_operation() and others.

When necessary, `GtkMountOperation` shows dialogs to let the user enter passwords, ask questions or show processes blocking unmount.

#### Hierarchy

#### Ancestors

- GMountOperation
- GObject

#### Constructors

###### gtk_mount_operation_new

Creates a new `GtkMountOperation`.

#### Instance methods

###### gtk_mount_operation_get_display

Gets the display on which windows of the `GtkMountOperation` will be shown.

###### gtk_mount_operation_get_parent

Gets the transient parent used by the `GtkMountOperation`.

###### gtk_mount_operation_is_showing

Returns whether the `GtkMountOperation` is currently displaying a window.

###### gtk_mount_operation_set_display

Sets the display to show windows of the `GtkMountOperation` on.

###### gtk_mount_operation_set_parent

Sets the transient parent for windows shown by the `GtkMountOperation`.

#### Properties

###### Gtk.MountOperation:display

The display where dialogs will be shown.

###### Gtk.MountOperation:is-showing

Whether a dialog is currently shown.

###### Gtk.MountOperation:parent

The parent window.

#### Class structure

    struct GtkMountOperationClass {
      GMountOperationClass parent_class;
      void (* _gtk_reserved1) (
    void
      );
      void (* _gtk_reserved2) (
    void
      );
      void (* _gtk_reserved3) (
    void
      );
      void (* _gtk_reserved4) (
    void
      );

    }

###### Class members

`parent_class` |
    GMountOperationClass
| The parent class.
`_gtk_reserved1` |
    void (* _gtk_reserved1) (
    void
      )
| No description available.
`_gtk_reserved2` |
    void (* _gtk_reserved2) (
    void
      )
| No description available.
`_gtk_reserved3` |
    void (* _gtk_reserved3) (
    void
      )
| No description available.
`_gtk_reserved4` |
    void (* _gtk_reserved4) (
    void
      )
| No description available.